using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CD67.FicheCollege.Entity
{
    /// <summary>
    /// Classe d'extension de celle d'Entity, nécessaire pour y associer les Metadata
    /// </summary>
    [MetadataType(typeof(RestaurationType_Metadata))]
    public partial class RestaurationType
    {
    }

    /// <summary>
    /// Classe contenant les DataAnnotations pour chaque champ
    /// </summary>
    public class RestaurationType_Metadata
    {
        [Required(ErrorMessage = "Obligatoire")]
        public int Id { get; set; }
        [Required(ErrorMessage = "Obligatoire")]
        [Display(Name = "Type de restauration")]
        public string Libelle { get; set; }
        [Display(Name = "Est Valide (oui/non)")]
        public bool? Valid { get; set; }
        public int Ordre { get; set; }
    }
}